Name: openmpi
Version: 1.2.3
Release: alt2

Summary: A powerful implementaion of MPI
Summary(ru_RU.UTF8): Открытая реализация MPI
License: BSD
Group: Development/Other
Url: http://www.open-mpi.org/

Packager: Denis Pynkin <dans@altlinux.ru>
Source: %name-%version.tar
Source1: %name-alt-as-needed.patch

# Automatically added by buildreq on Tue Dec 26 2006
BuildRequires: flex gcc-c++ gcc-g77 libstdc++-devel-static

Conflicts: mpicc, mpich, lam, lam-devel

%package devel
Summary: Development part of %name
Group: Development/Other

Requires: %name gcc-c++ gcc-g77


%description
Open MPI is a project combining technologies and resources from
several other projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in
order to build the best MPI library available. A completely new
MPI-2 compliant implementation, Open MPI offers advantages for
system and software vendors, application developers and computer
science researchers.

This part is attended for computing nodes.
#description -l ru_RU.KOI8-R

%description devel
Package for development with Open MPI 

%prep
%setup -q
%__cp %SOURCE1 ./

%build
CFLAGS="-D_FORTIFY_SOURCE=2"
echo="/bin/echo"
export CFLAGS echo

%configure --disable-mpi-f90 --sysconfdir=/etc/%name --disable-dlopen
%make_build

# part below needed for correct linking without unresolved symbols
%__patch -p1 <%SOURCE1

#strange behavior - pushd/popd just ignored ?
cd ompi/mpi/
%make clean
%make_build
cd ../..


%install
echo="/bin/echo"
export echo

#added for relink operation for libmpi_cxx.so and libmpi_f77.so
%__mkdir_p %buildroot%_libdir
%__cp -a ompi/.libs/libmpi.so* %buildroot%_libdir/

%make_install DESTDIR=%buildroot install
%find_lang %name

%files -f %name.lang
%doc AUTHORS LICENSE NEWS README VERSION 

%_bindir/mpirun
%_bindir/ompi_info
%_bindir/opal_wrapper
%_bindir/orted
%_bindir/orterun

%_libdir/openmpi/*
%_libdir/libmpi.so.*
%_libdir/libopen-rte.so.*
%_libdir/libopen-pal.so.*

%_sysconfdir/*
%_man1dir/*
%_datadir/%name/*

%files devel
%_bindir/mpic++
%_bindir/mpicc
%_bindir/mpiCC
%_bindir/mpicxx
%_bindir/mpiexec
%_bindir/mpif77
%_bindir/mpif90

%_includedir/*
%_man3dir/*
%_libdir/libmpi_cxx.*
%_libdir/libmpi_f77.*
%_libdir/libmpi.so
%_libdir/libopen-rte.so
%_libdir/libopen-pal.so


%changelog
* Tue Jun 26 2007 Denis Pynkin <dans@altlinux.ru> 1.2.3-alt2
- Added devel package
- Added openmpi-alt-as-needed.patch
- Fix of unresolved symbols

* Tue Jun 26 2007 Denis Pynkin <dans@altlinux.ru> 1.2.3-alt1
- This release is mainly a bug fix release over the v1.2.2
  release, but there are few minor new features.

* Thu May 17 2007 Denis Pynkin <dans@altlinux.ru> 1.2.2-alt1
- This release is mainly a bug fix release over the v1.2.1
  release, but there are few minor new features.

* Thu Apr 26 2007 Denis Pynkin <dans@altlinux.ru> 1.2.1-alt1
- This release is mainly a bug fix release over the
  v1.2 release, but there are few minor new features. 

* Thu Mar 22 2007 Denis Pynkin <dans@altlinux.ru> 1.2.0-alt1
- This release contains many bug fixes, feature
  enhancements, and performance improvements over the v1.1 series
- added echo variable for properly working libtool
- added --disable-dlopen in configuration
- taken ompi/mpi/man/man3/MPI_Status_c2f.3 from package 'lam'
  because of broken version in release

* Wed Mar 21 2007 Denis Pynkin <dans@altlinux.ru> 1.1.5-alt1
- Version 1.1.5 is expected (hoped) to be the last release in the v1.1 series

* Wed Jan 31 2007 Denis Pynkin <dans@altlinux.ru> 1.1.4-alt1
- The 1.1.4 release is what the 1.1.3 release should have been.

* Tue Jan 30 2007 Denis Pynkin <dans@altlinux.ru> 1.1.3-alt1
- This release is mainly a bug fix release over the 1.1.2 release.

* Tue Jan 02 2007 Denis Pynkin <dans@altlinux.ru> 1.1.2-alt2
- added /usr/share/openmpi/* to package

* Tue Dec 26 2006 Denis Pynkin <dans@altlinux.ru> 1.1.2-alt1
- Initial build for ALTLinux.

